Name:           perl-MailTools
Version:        2.20
Release:        5
Summary:        Various ancient mail-related perl modules
License:        GPL+ and Artistic
URL:            https://metacpan.org/release/MailTools
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MARKOV/MailTools-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils findutils make perl-generators perl-interpreter perl(ExtUtils::MakeMaker) sed perl(base)
BuildRequires:  perl(Carp) perl(Config) perl(Date::Format) perl(Date::Parse) perl(Exporter) perl(IO::Handle)
BuildRequires:  perl(Net::NNTP) perl(Net::SMTP) >= 1.03 perl(Net::SMTP::SSL) perl(POSIX) perl(strict) perl(vars)
BuildRequires:  perl(warnings) perl(Test::Pod) perl(Test::More) perl(Net::Domain) >= 1.05
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)) perl(Net::Domain) >= 1.05 perl(Net::NNTP)

%description
This is MailTools, a set of perl modules related to mail applications.

%package        help
Summary:        Help documents for perl-MailTools

%description    help
The perl-MailTools-help package conatins manual pages for perl-MailTools.

%prep
%autosetup -n MailTools-%{version} -p1

cd examples
for file in *.PL; do
            perl $file
done
chmod -c -x *_demo ; rm *.PL ; cd -
sed -i -e '/^examples\/.*\.PL/d' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test
make test TEST_FILES="xt/*.t"

%files
%dir %{perl_vendorlib}/Mail/
%dir %{perl_vendorlib}/Mail/Field/
%dir %{perl_vendorlib}/Mail/Mailer/
%doc %{perl_vendorlib}/Mail/*
%doc %{perl_vendorlib}/MailTools.pod
%{perl_vendorlib}/Mail/*
%{perl_vendorlib}/MailTools.pm

%files help
%doc ChangeLog README* examples/
%{_mandir}/man3/*

%changelog
* Thu Dec 05 2019 liujing<liujing144@huawei.com> - 2.20-5
- Package init
